package net.wanji.opt.entity.strategy.dto;

import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import net.wanji.opt.entity.strategy.StrategyPriorityConfig;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper=false)
@NoArgsConstructor
@AllArgsConstructor
public class StrategyPriorityGroup {
    //分组ID
    private Integer labelCode;
    //分组名称
    private String label;
    //路口Id
    private String crossId;
    //优先级的配置信息
    private List<StrategyPriorityConfig> data;
}
